## javax.persistence
Interface Tuple

    public interface Tuple

Method Summary
`java.lang.Object` `get(int i)`

`

`<X> X`

`

`get(int i, java.lang.Class<X> type)`

`java.lang.Object` `get(java.lang.String alias)`

`

`<X> X`

`

`get(java.lang.String alias, java.lang.Class<X> type)`

`

`<X> X`

`

`get(TupleElement<X> tupleElement)`

`java.util.List<TupleElement<?>>` `getElements()`
`java.lang.Object[]` `toArray()`

Method Detail

### get

    <X> X get(TupleElement<X> tupleElement)

### get

    <X> X get(java.lang.String alias,
              java.lang.Class<X> type)

### get

    java.lang.Object get(java.lang.String alias)

### get

    <X> X get(int i,
              java.lang.Class<X> type)

### get

    java.lang.Object get(int i)

### toArray

    java.lang.Object[] toArray()

### getElements

    java.util.List<TupleElement<?>> getElements()